package com.mvc.entity;

import java.util.Date;

/**
* @Description:
* @Author: guozhao
* @CreateDate: 2024-11-14 19:01:09
*/
public class DeviceAcc {
    /**
     * 
     */
    private Integer id;

    /**
     * 台账id
     */
    private String accId;

    /**
     * 设备sn号
     */
    private String deviceSn;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备二维码
     */
    private String deviceQr;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 创建人
     */
    private String createMan;

    /**
     * 创建日期
     */
    private Date createDate;

    /**
     * 是否取得合格证
     */
    private String certifFlag;

    /**
     * 取得合格证日期
     */
    private Date certifDate;

    /**
     * 合格证发放人
     */
    private String certifMan;

    /**
     * 合格证id
     */
    private String certifId;

    /**
     * 当前状态类型1.登记台账 2.拷机 3.入库 4.出库 5.故障 6.修复 7.借出 8.归还 9.报废\丢失
     */
    private String curStateType;

    /**
     * 状态变化id
     */
    private String stateChangeId;

    /**
     * 设备基本配置参数id
     */
    private String cfgId;

    /**
     * 客户id
     */
    private String customerId;

    /**
     * 遥测站id
     */
    private String stationCode;

    /**
     * 在用标记
     */
    private String useFlag;

    /**
     * 不用原因
     */
    private String unusedBecause;

    /**
     * 单位编号(关联用户表中的UNIT_CODE)台账划分后产生
     */
    private String unitCode;

    /**
     * 电池编号
     */
    private String batCode;

    /**
     * IMEI
     */
    private String imei;

    /**
     * IOT平台类型(1:OneNet,2:AEP)
     */
    private String iotType;

    /**
     * IOT平台中的deviceId
     */
    private String iotDeviceId;

    /**
     * 设备编码管理表ID
     */
    private Integer deviceSnManagementId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAccId() {
        return accId;
    }

    public void setAccId(String accId) {
        this.accId = accId == null ? null : accId.trim();
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn == null ? null : deviceSn.trim();
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName == null ? null : deviceName.trim();
    }

    public String getDeviceQr() {
        return deviceQr;
    }

    public void setDeviceQr(String deviceQr) {
        this.deviceQr = deviceQr == null ? null : deviceQr.trim();
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType == null ? null : deviceType.trim();
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan == null ? null : createMan.trim();
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getCertifFlag() {
        return certifFlag;
    }

    public void setCertifFlag(String certifFlag) {
        this.certifFlag = certifFlag == null ? null : certifFlag.trim();
    }

    public Date getCertifDate() {
        return certifDate;
    }

    public void setCertifDate(Date certifDate) {
        this.certifDate = certifDate;
    }

    public String getCertifMan() {
        return certifMan;
    }

    public void setCertifMan(String certifMan) {
        this.certifMan = certifMan == null ? null : certifMan.trim();
    }

    public String getCertifId() {
        return certifId;
    }

    public void setCertifId(String certifId) {
        this.certifId = certifId == null ? null : certifId.trim();
    }

    public String getCurStateType() {
        return curStateType;
    }

    public void setCurStateType(String curStateType) {
        this.curStateType = curStateType == null ? null : curStateType.trim();
    }

    public String getStateChangeId() {
        return stateChangeId;
    }

    public void setStateChangeId(String stateChangeId) {
        this.stateChangeId = stateChangeId == null ? null : stateChangeId.trim();
    }

    public String getCfgId() {
        return cfgId;
    }

    public void setCfgId(String cfgId) {
        this.cfgId = cfgId == null ? null : cfgId.trim();
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId == null ? null : customerId.trim();
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public String getUseFlag() {
        return useFlag;
    }

    public void setUseFlag(String useFlag) {
        this.useFlag = useFlag == null ? null : useFlag.trim();
    }

    public String getUnusedBecause() {
        return unusedBecause;
    }

    public void setUnusedBecause(String unusedBecause) {
        this.unusedBecause = unusedBecause == null ? null : unusedBecause.trim();
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode == null ? null : unitCode.trim();
    }

    public String getBatCode() {
        return batCode;
    }

    public void setBatCode(String batCode) {
        this.batCode = batCode == null ? null : batCode.trim();
    }

    public String getImei() {
        return imei;
    }

    public void setImei(String imei) {
        this.imei = imei == null ? null : imei.trim();
    }

    public String getIotType() {
        return iotType;
    }

    public void setIotType(String iotType) {
        this.iotType = iotType == null ? null : iotType.trim();
    }

    public String getIotDeviceId() {
        return iotDeviceId;
    }

    public void setIotDeviceId(String iotDeviceId) {
        this.iotDeviceId = iotDeviceId == null ? null : iotDeviceId.trim();
    }

    public Integer getDeviceSnManagementId() {
        return deviceSnManagementId;
    }

    public void setDeviceSnManagementId(Integer deviceSnManagementId) {
        this.deviceSnManagementId = deviceSnManagementId;
    }
}